TestFixturesDependencyModifiers (Gradle API 7.6.3)

Package org.gradle.api.artifacts.dsl

## Interface TestFixturesDependencyModifiers

- All Superinterfaces:
    `Dependencies`
  All Known Subinterfaces:
    `JvmComponentDependencies`

      @Incubating
      public interface TestFixturesDependencyModifiers
      extends Dependencies

  Dependency APIs for using Test Fixtures in `dependencies` blocks.

  NOTE: This API is incubating and is likely to change until it's made stable.

  Since:
    7.6

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<D extends ModuleDependency> D` | `testFixtures​(D dependency)` | Takes a given `ModuleDependency` and modifies it to select the Test Fixtures variant of the given module.
    `default ExternalModuleDependency` | `testFixtures​(java.lang.CharSequence dependencyNotation)` | Create an `ExternalModuleDependency` from the given notation and modifies it to select the Test Fixtures variant of the given module.
    `default Provider<? extends ExternalModuleDependency>` | `testFixtures​(Provider<? extends ExternalModuleDependency> providerToDependency)` | Takes a given `Provider` to a `ExternalModuleDependency` and modifies the dependency to select the Test Fixtures variant of the given module.
    `default Provider<? extends MinimalExternalModuleDependency>` | `testFixtures​(ProviderConvertible<? extends MinimalExternalModuleDependency> providerConvertibleToDependency)` | Takes a given `Provider` to a `MinimalExternalModuleDependency` and modifies the dependency to select the Test Fixtures variant of the given module.

    - ### Methods inherited from interface org.gradle.api.artifacts.dsl.Dependencies

      `getDependencyFactory, module, module, project, project`

- - ### Method Detail

    - #### testFixtures

          default ExternalModuleDependency testFixtures​(java.lang.CharSequence dependencyNotation)

      Create an `ExternalModuleDependency` from the given notation and modifies it to select the Test Fixtures variant of the given module.
      Parameters:
        `dependencyNotation` - the dependency notation
      Returns:
        the modified dependency
      See Also:
        `DependencyFactory.create(CharSequence)`

    - #### testFixtures

          <D extends ModuleDependency> D testFixtures​(D dependency)

      Takes a given `ModuleDependency` and modifies it to select the Test Fixtures variant of the given module.
      Parameters:
        `dependency` - the dependency
      Returns:
        the modified dependency

    - #### testFixtures

          default Provider<? extends MinimalExternalModuleDependency> testFixtures​(ProviderConvertible<? extends MinimalExternalModuleDependency> providerConvertibleToDependency)

      Takes a given `Provider` to a `MinimalExternalModuleDependency` and modifies the dependency to select the Test Fixtures variant of the given module.
      Parameters:
        `providerConvertibleToDependency` - the provider
      Returns:
        a provider to the modified dependency

    - #### testFixtures

          default Provider<? extends ExternalModuleDependency> testFixtures​(Provider<? extends ExternalModuleDependency> providerToDependency)

      Takes a given `Provider` to a `ExternalModuleDependency` and modifies the dependency to select the Test Fixtures variant of the given module.
      Parameters:
        `providerToDependency` - the provider
      Returns:
        a provider to the modified dependency